#include <X11/Xlib.h>
#include <sys/param.h>
#include <stdlib.h>
#include <signal.h>

#if defined(DEBUG)
main()
	{
	Display *display;
	display=XOpenDisplay(":0");
	XBell(display,0);
	}
#endif

XBell(display, percent)
Display *display;
int percent;
	{
	void (*osig)(int);
	pid_t pid;
	char *home;
	char cmd[MAXPATHLEN];
	home=getenv("HOME");
	snprintf(cmd,MAXPATHLEN,"%s/bin/bell",home);
	/* saving the old signal handler and restoring makes libbell work with
	** xterm.  rxvt and practically everything else was fine without this,
	** but xterm's too important to ignore.
	*/
	osig = signal(SIGCHLD,SIG_IGN);
	pid = fork();
	if (pid == 0)
		{
		/* obviously ignoring SIGCHLD here isn't going to work */
		/* sigignore(SIGCHLD); */
		execl(cmd,cmd,NULL);
		}
	else
		{
		waitpid(pid,NULL,0);
		signal(SIGCHLD,osig);
		}
	}

